package com.datacloudsec.scan.cache;

import com.datacloudsec.scan.common.Constant;
import com.datacloudsec.utils.EntryResult;
import com.datacloudsec.utils.JsonUtil;
import java.io.File;
import java.util.List;
import java.util.Map;

public class Penetest {

   private List config;
   private Map configMap;
   private Map configMapList;
   private static long lastMdfTime;
   private static File confFile = new File(Constant.WORK_DIR, "conf/penetest.json");
   private static Penetest instance;


   public static synchronized Penetest getInstance() throws Exception {
      if(instance == null) {
         instance = new Penetest();
      }

      if(confFile.lastModified() != lastMdfTime) {
         instance.config = (List)JsonUtil.MAPPER_ESCAPE_HTML.readValue(confFile, List.class);
         instance.configMap = EntryResult.parseEntryMap(instance.config, "type");
         instance.configMapList = EntryResult.parseEntryListMap(instance.config, "menu");
         lastMdfTime = confFile.lastModified();
      }

      return instance;
   }

   public static void main(String[] args) throws Exception {
      System.out.println(getInstance().getConfigMapList().keySet());
   }

   public List getConfig() {
      return this.config;
   }

   public Map getConfigMap() {
      return this.configMap;
   }

   public Map getConfigMapList() {
      return this.configMapList;
   }
}
